Subject: Re: bug#6911: 23.2; Session support for GNOME desktop

From: Jan Djärv <[email-masked]>
Date: Sat, 28 Aug 2010 20:16:25 +0200

2010-08-25 17:00, Reuben Thomas skrev:
> I am running Emacs on a GNOME desktop (GNOME 2.30 as shipped with Ubuntu
> Lucid). When I log out, my Emacs session is not saved: when I log in
> again Emacs is not re-run.
>
> Sometimes, GNOME reports that Emacs is running and asks me whether I
> want to cancel the log-out or manually kill Emacs.
>
> Older versions of Emacs used to cause this report every time I logged
> out, but also worked insofar as Emacs was indeed re-started when I
> logged back in.
>
> If it helps, I can run tests with versions of Emacs from Bazaar.

I don't know what emacs version you have, because Ubuntu Lucid does not have 
23.2 only 23.1.  Just try with vanilla emacs from the lucid repository, or 
grab 23.2 from bazaar and do an emacs -Q.

The fault is probably that Emacs did not get a connection to the session 
manager, or that the sesison manager was restarted while Emacs was running or 
the connection was broken.
Before logging out, check in emacs:
C-h v x-session-id

It is a long hex number.  If it is nil, Emacs could not connect to the 
session-manager.

After logging out, log in with a non-Gnome. non-X terminal (i.e. plain 
console).  Check .emacs.d if you have a session.<long number> file there, it 
is empty.
If you have such a file, check .config/gnome-session/saved-session/<ling 
number>.desktop.  Check that the command to start emacs is correct.

	Jan D.

>
>
>
> In GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.1)
>   of 2010-06-13 on mord, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.10706000
> configured using `configure  '--build' 'i486-linux-gnu' '--build' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.2/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_GB.UTF-8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>    show-paren-mode: t
>    savehist-mode: t
>    minibuffer-electric-default-mode: t
>    iswitchb-mode: t
>    icomplete-mode: t
>    global-auto-revert-mode: t
>    desktop-save-mode: t
>    mouse-wheel-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    column-number-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> y C-x C-f C-f C-x b c o d e s C-g C-x b c o d e s C-g
> C-x k<return>  C-g C-] C-] C-x k<return>  C-x k<return>
> C-x C-b C-x o d x C-x 0 C-x C-f M-r c o d e s<return>
> <return>  C-s I M E I C-a<right>  <right>  <right>  <right>
> <right>  <right>  <right>  <right>  <right>  <right>  <right>
> <right>  <right>  <left>  <left>  <left>  <left>  M-d 2 3
> 8 8 8 2 7 4<left>  <left>  <left>  <backspace>  C-x C-s
> C-a C-SPC M-f<C-insert>  <help-echo>  <down-mouse-1>
> <mouse-1>  C-x k<return>  <help-echo>  M-x e m a c s
> - r e p o r t -<backspace>  <backspace>  <backspace>
> <backspace>  <backspace>  <backspace>  <backspace>  <backspace>
> <backspace>  <backspace>  <backspace>  <backspace>  <backspace>
> <backspace>  <backspace>  <backspace>  <backspace>  <backspace>
> <backspace>  <backspace>  <backspace>  <backspace>  <backspace>
> r e p o r t - b<backspace>  e m a c s - b u g<ret
> urn>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> call-interactively: End of buffer
> Quit [3 times]
> call-interactively: No recursive edit is in progress [2 times]
> Mark saved where search started
> Lazy desktop load complete
> Saving file /home/rrt/Finance/codes.txt...
> Wrote /home/rrt/Finance/codes.txt
> Mark set
> call-interactively: Text is read-only [10 times]
>
> Load-path shadows:
> /home/rrt/local/share/emacs/site-lisp/lua-mode hides /usr/share/emacs23/site-lisp/lua-mode/lua-mode
> /home/rrt/.emacs.d/elpa/dictionary-1.8.7/link hides /usr/share/emacs23/site-lisp/dictionary-el/link
> /home/rrt/.emacs.d/elpa/dictionary-1.8.7/connection hides /usr/share/emacs23/site-lisp/dictionary-el/connection
> /home/rrt/.emacs.d/elpa/dictionary-1.8.7/dictionary-init hides /usr/share/emacs23/site-lisp/dictionary-el/dictionary-init
> /home/rrt/.emacs.d/elpa/dictionary-1.8.7/dictionary hides /usr/share/emacs23/site-lisp/dictionary-el/dictionary
> /usr/share/emacs23/site-lisp/css-mode/css-mode hides /usr/share/emacs/site-lisp/css-mode/css-mode
> /usr/share/emacs/23.2/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
> /usr/share/emacs/23.2/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
> /usr/share/emacs/23.2/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
> /usr/share/emacs/23.2/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
> /usr/share/emacs/23.2/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
> /usr/share/emacs23/site-lisp/dictionary-el/lpath hides /usr/share/emacs/site-lisp/auctex/lpath
> /usr/share/emacs/23.2/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
> /usr/share/emacs/23.2/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
> /usr/share/emacs/23.2/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
> /usr/share/emacs/23.2/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
> /usr/share/emacs/23.2/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
> /usr/share/emacs/23.2/site-lisp/auctex/tex-fptex hides /usr/share/emacs/site-lisp/auctex/tex-fptex
> /usr/share/emacs/23.2/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
> /usr/share/emacs/23.2/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
> /usr/share/emacs/23.2/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
> /usr/share/emacs/23.2/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
> /usr/share/emacs/23.2/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
> /usr/share/emacs/23.2/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
> /usr/share/emacs/23.2/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
> /usr/share/emacs/23.2/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
> /usr/share/emacs23/site-lisp/psgml/psgml-init hides /usr/share/emacs/site-lisp/psgml/psgml-init
> /usr/share/emacs23/site-lisp/psgml/psgml-parse hides /usr/share/emacs/site-lisp/psgml/psgml-parse
> /usr/share/emacs23/site-lisp/psgml/psgml-info hides /usr/share/emacs/site-lisp/psgml/psgml-info
> /usr/share/emacs23/site-lisp/psgml/psgml-html hides /usr/share/emacs/site-lisp/psgml/psgml-html
> /usr/share/emacs23/site-lisp/psgml/psgml-other hides /usr/share/emacs/site-lisp/psgml/psgml-other
> /usr/share/emacs23/site-lisp/psgml/psgml hides /usr/share/emacs/site-lisp/psgml/psgml
> /usr/share/emacs23/site-lisp/psgml/psgml-charent hides /usr/share/emacs/site-lisp/psgml/psgml-charent
> /usr/share/emacs23/site-lisp/psgml/psgml-sysdep hides /usr/share/emacs/site-lisp/psgml/psgml-sysdep
> /usr/share/emacs23/site-lisp/psgml/psgml-ids hides /usr/share/emacs/site-lisp/psgml/psgml-ids
> /usr/share/emacs23/site-lisp/psgml/psgml-dtd hides /usr/share/emacs/site-lisp/psgml/psgml-dtd
> /usr/share/emacs23/site-lisp/psgml/psgml-api hides /usr/share/emacs/site-lisp/psgml/psgml-api
> /usr/share/emacs23/site-lisp/psgml/psgml-edit hides /usr/share/emacs/site-lisp/psgml/psgml-edit
> /usr/share/emacs/23.2/site-lisp/cdargs hides /usr/share/emacs/site-lisp/cdargs
> /usr/share/emacs/23.2/site-lisp/cscope/xcscope hides /usr/share/emacs/site-lisp/xcscope
> /usr/share/emacs/23.2/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
> /usr/share/emacs/23.2/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
> /usr/share/emacs23/site-lisp/css-mode/css-mode hides /usr/share/emacs/23.2/lisp/textmodes/css-mode
> /usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.2/lisp/textmodes/flyspell
> /usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.2/lisp/textmodes/ispell
> /usr/share/emacs/site-lisp/rst hides /usr/share/emacs/23.2/lisp/textmodes/rst
> /usr/share/emacs23/site-lisp/ruby1.8-elisp/ruby-mode hides /usr/share/emacs/23.2/lisp/progmodes/ruby-mode
>
> Features:
> (shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
> password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
> rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
> time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
> hex-util hashcash mail-utils emacsbug multi-isearch mule-util css-mode
> apropos vc-git inform-mode face-remap filladapt flyspell
> auto-dictionary-autoloads dictionary-autoloads js2-mode-autoloads
> package reporter completing-help ff-paths uniquify paren savehist
> minibuf-eldef iswitchb icomplete autorevert time cus-start cus-load
> desktop server change-mode advice help-fns advice-preload php-mode
> derived etags cc-langs cl cl-19 cc-mode cc-fonts cc-menus cc-cmds
> cc-styles cc-align cc-engine cc-vars cc-defs speedbar sb-image ezimage
> dframe easymenu assoc lua-mode regexp-opt comint ring whitespace
> etags-update smart-quotes easy-mmode edmacro kmacro ispell ffap
> psgml-init muse-autoloads emacs-goodies-el emacs-goodies-custom
> emacs-goodies-loaddefs bbdb-autoloads preview-latex tex-site auto-loads
> tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
> font-setting tool-bar dnd fontset image fringe lisp-mode register page
> menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
> greek romanian slovak czech european ethiopic indian cyrillic chinese
> case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
> minibuffer faces cus-face files text-properties overlay md5 base64
> format env code-pages mule custom widget hashtable-print-readable
> backquote make-network-process dbusbind system-font-setting
> font-render-setting gtk x-toolkit x multi-tty emacs)
>